Bug 1258659 - [RFE] provide better monitoring to allow to know to which disk the VM is writing to after failed live snapshot.
[RFE] provide better monitoring to allow to know to which disk the VM is writ...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
All All
unspecified Severity high (vote)
: ---
: ---
Assigned To: Daniel Erez
Raz Tamir
: FutureFeature
Depends On:
Blocks: 1018867
  Show dependency treegraph
 
Reported: 2015-08-31 19:57 EDT by Christopher Pereira
Modified: 2016-12-06 06:26 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Christopher Pereira 2015-08-31 19:57:11 EDT
== Description of problem ==

A failed snapshot creation or LSM (Live Storage Migration) requires the VM to be restarted.

The logs display:

"Failed to create live snapshot 'Auto-generated for Live Storage Migration' for VM 'test-vm'. VM restart is recommended."

It's nice to have this bug showing this hint, but restarting a VM because of a temporary network problem while doing a LSM is not affordable in production.

== How reproducible ==

Easy to reproduce.

== Steps to Reproduce ==

1. Configure host to fail during snapshot creation (we need to reproduce a "Failed to create live snapshot 'Auto-generated for Live Storage Migration' for VM 'XXXXXX'. VM restart is recommended." warning).
2. Create a snapshot (process must fail)
3. Check snapshots and compare with virsh output

== Actual results ==

Current snapshot displayed inside oVirt is wrong.
Check real active snapshot via virsh.
Workarround is to restart the VM.

== Expected results ==

oVirt must show correct results, without requiring a VM restart.

== Additional info ==

See: https://bugzilla.redhat.com/show_bug.cgi?id=1018867
Comment 1 Allon Mureinik 2015-09-01 08:59:37 EDT
When a live snapshost fails, we should query QEMU and adjust engine/vdsm's definition of the VM to match the "real" definition.

Note You need to log in before you can comment on or make changes to this bug.